http_port 8081
icp_port 0
mcast_icp_query_timeout 0

hierarchy_stoplist cgi-bin ?

hierarchy_stoplist hotmail.com
hierarchy_stoplist cgi-bin ? pl mail.yahoo login
hierarchy_stoplist login
hierarchy_stoplist edit.yahoo.com
hierarchy_stoplist mail.yahoo.com
hierarchy_stoplist login.yahoo.com
hierarchy_stoplist passport.com

acl QUERY urlpath_regex cgi-bin \? login
no_cache deny QUERY

acl all src 0.0.0.0/0.0.0.0

no_cache deny all

acl LocalDst1 dst 192.168.168.0/255.255.255.0
acl LocalSrc1 src 192.168.168.0/255.255.255.0
no_cache deny LocalDst1
http_access allow LocalSrc1

maximum_object_size 8192 KB

ipcache_size 2048
fqdncache_size 2048

cache_dir ufs /proxy_cache 56 16 256
cache_log /dev/null

cache_store_log none

ftp_user isfs@alim.ir

# _AIC_ add
redirect_program /usr/bin/squidGuard

redirect_children 32

# 14 Minutes
refresh_pattern -i \.(htm|html|ram|txt)$ 14 80% 129600

# 1 Days
refresh_pattern -i \.(bz2|doc|exe|gz|pdf|rar|tar|tgz|zip)$ 1440 20% 10080 reload-into-ims
refresh_pattern ^ftp: 2880 20% 10080
refresh_pattern ^gopher: 2880 0% 2880

# 7 Days
refresh_pattern -i \.(au|bmp|cs|class|gif|jpeg|jpg|js|pic|png|ra|rm|swf)$ 10080 80% 129600 reload-into-ims

# 15 Days
refresh_pattern -i \.(mid|mp[234]|wav)$ 21600 80% 43200 reload-into-ims

refresh_pattern -i . 0 5% 4320

quick_abort_pct 90

negative_ttl 1 minutes
positive_dns_ttl 24 hours

negative_dns_ttl 1 minute

request_timeout 60 seconds

acl manager proto cache_object
acl localhost src 127.0.0.1/255.255.255.255
acl SSL_ports port 443 563
acl Safe_ports port 80
acl Safe_ports port 21
acl Safe_ports port 443 563
acl Safe_ports port 70
acl Safe_ports port 210
acl Safe_ports port 1025-65535
acl Safe_ports port 280
acl Safe_ports port 488
acl Safe_ports port 591
acl Safe_ports port 777
acl CONNECT method CONNECT
http_access allow manager localhost
http_access deny manager

http_access deny !Safe_ports

http_access deny CONNECT !SSL_ports

http_access allow localhost
http_access deny all

icp_access deny all

visible_hostname ISFS
announce_period 0

httpd_accel_host virtual
httpd_accel_port 80

httpd_accel_with_proxy on

httpd_accel_uses_host_header on

forwarded_for off

log_icp_queries off
client_db off
query_icmp off

buffered_logs on
maximum_single_addr_tries 5
snmp_port 0
